## python-hl7 0.4.1

=== requirements.txt ===
# pip Requirements for developing python-hl7 (not required to use as a library)
tox==3.14.4
flake8==3.8.3
Sphinx==2.4.1
coverage==5.0.3
isort==4.3.21
black==19.10b0; python_version > "3.5"

## python-hl7 0.2.1

=== debian/changelog ===
python-hl7 (0.2.1-1) unstable; urgency=low

  * New upstream release (0.2.1)
  * Correct empty lines in debian/copyright and use correct License short
    name (BSD-3-clause)

 -- John Paulett <john@paulett.org>  Tue, 30 Aug 2011 19:57:00 -0500

python-hl7 (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #633749)

 -- John Paulett <john@paulett.org>  Wed, 13 Jul 2011 07:32:39 -0500

=== debian/control ===
Source: python-hl7
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: John Paulett <john@paulett.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-setuptools (>= 0.6b3-1~)
Standards-Version: 3.9.2
Homepage: https://github.com/johnpaulett/python-hl7/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-hl7/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-hl7/trunk/

Package: python-hl7
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python library for parsing HL7 messages
 HL7 is a communication protocol and message format for health care data. 
 It is the de-facto standard for transmitting data between clinical 
 information systems and between clinical devices. The version 2.x series, 
 which is often is a pipe delimited format is currently the most widely 
 accepted version of HL7 (version 3.0 is an XML-based format).
 python-hl7 currently only parses HL7 version 2.x messages into an easy 
 to access, list-based, data structure.

## python-hl7 0.2.2

=== debian/changelog ===
python-hl7 (0.2.2-1) unstable; urgency=low

  * New upstream release (0.2.2)
  * Add dependency on python-pkg-resources (Closes: #645262)
  * Add man page for mllp_send (built from docs/mllp_send.rst)

 -- John Paulett <john@paulett.org>  Sat, 17 Dec 2011 11:22:24 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: python-hl7
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-pkg-resources
 Provides: ${python:Provides}
 Description: Python library for parsing HL7 messages
  HL7 is a communication protocol and message format for health care data.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/h/hl7/ hl7-(.*)\.tar\.gz

## python-hl7 0.3.2

=== debian/changelog ===
python-hl7 (0.3.2-1) unstable; urgency=medium

  * New upstream version
  * Added myself to Uploaders
  * Take over package from Python Modules team into Debian Med team
    maintenance
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * Debhelper 9
  * debian/rules:
     - fix position of --with option
     - use buildsystem=pybuild
  * Add missing Build-Depends to successfully run tests

 -- Andreas Tille <tille@debian.org>  Fri, 24 Oct 2014 22:26:54 +0200

=== debian/control ===
Source: python-hl7
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: John Paulett <john@paulett.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-setuptools,
               python-six,
               python-mock,
               python-unittest2
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-hl7/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-hl7/trunk/
Homepage: https://github.com/johnpaulett/python-hl7/

Package: python-hl7
Architecture: all
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-pkg-resources
Recommends: python-six,
            python-mock
Provides: ${python:Provides}
Description: Python library for parsing HL7 messages
 HL7 is a communication protocol and message format for health care data. 
 It is the de-facto standard for transmitting data between clinical 
 information systems and between clinical devices. The version 2.x series, 
 which is often is a pipe delimited format is currently the most widely 
 accepted version of HL7 (version 3.0 is an XML-based format).
 python-hl7 currently only parses HL7 version 2.x messages into an easy 
 to access, list-based, data structure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=hl7

%:
	dh $@ --with python2 --buildsystem=pybuild

## python-hl7 0.3.3

=== debian/changelog ===
python-hl7 (0.3.3-4) unstable; urgency=medium

  * fix missing legacy method name in python-mock (thanks for the patch to
    Michael Fladischer <FladischerMichael@fladi.at>)
    Closes: #795584

 -- Andreas Tille <tille@debian.org>  Sat, 15 Aug 2015 20:16:55 +0200

python-hl7 (0.3.3-3) unstable; urgency=medium

  * Add missing ',' in Provides
    Closes: #791831

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jul 2015 10:26:53 +0200

python-hl7 (0.3.3-2) unstable; urgency=medium

  * Enable upgrading form stable (+testing) by adding Breaks+Provides
    to python3-hl7
    Closes: #791831

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jul 2015 06:37:04 +0200

python-hl7 (0.3.3-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * Update copyright
  * Add python3 package
    Closes: #782942
  * Verified that package builds twice in a row
    Closes: #671220, #671251
  * script mllp_send will be shipped in python3-hl7 package and NEWS.Debian
    will inform users about this

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jul 2015 09:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,11 @@
                python-setuptools,
                python-six,
                python-mock,
-               python-unittest2
+               python-unittest2,
+               python3,
+               python3-setuptools,
+               python3-six,
+               python3-mock
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-hl7/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-hl7/trunk/
@@ -19,7 +23,6 @@
 Package: python-hl7
 Architecture: all
 Depends: ${python:Depends},
-         ${shlibs:Depends},
          ${misc:Depends},
          python-pkg-resources
 Recommends: python-six,
@@ -33,3 +36,24 @@
  accepted version of HL7 (version 3.0 is an XML-based format).
  python-hl7 currently only parses HL7 version 2.x messages into an easy 
  to access, list-based, data structure. 
+
+Package: python3-hl7
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         python3-pkg-resources
+Recommends: python3-six,
+            python3-mock
+Breaks: python-hl7 (<= 0.3.2-1)
+Provides: ${python:Provides},
+          python-hl7
+Description: Python3 library for parsing HL7 messages
+ HL7 is a communication protocol and message format for health care data. 
+ It is the de-facto standard for transmitting data between clinical 
+ information systems and between clinical devices. The version 2.x series, 
+ which is often is a pipe delimited format is currently the most widely 
+ accepted version of HL7 (version 3.0 is an XML-based format).
+ python-hl7 currently only parses HL7 version 2.x messages into an easy 
+ to access, list-based, data structure.
+ .
+ This package contains the Python3 API.

=== debian/watch ===
version=3
http://pypi.debian.net/hl7/ hl7-([.\d]+)\.tar\.gz

# https://pypi.python.org/pypi/hl7 .*/h/hl7/hl7-([.\d]+)\.tar\.gz

## python-hl7 0.3.4

=== debian/changelog ===
python-hl7 (0.3.4-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Github seems more reliable than pypi.debian.net
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2017 09:14:18 +0200

python-hl7 (0.3.4-1) unstable; urgency=medium

  * new upstream version
  * cme fix dpkg-control
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2016 20:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-setuptools,
@@ -15,9 +15,9 @@
                python3-setuptools,
                python3-six,
                python3-mock
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-hl7/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-hl7/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-hl7.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-hl7.git
 Homepage: https://github.com/johnpaulett/python-hl7/
 
 Package: python-hl7

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=hl7

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/python-$(PYBUILD_NAME)/usr/bin

## python-hl7 0.4.1

=== debian/changelog ===
python-hl7 (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * rename debian/NEWS.Debian debian/NEWS (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 09:31:41 +0200

python-hl7 (0.3.4-4) unstable; urgency=medium

  * Drop Python2 support
    Closes: #937812
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use secure URI in debian/watch.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Aug 2019 18:30:31 +0200

python-hl7 (0.3.4-3) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-python
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 11:34:59 +0200

=== debian/control ===
Source: python-hl7
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: John Paulett <john@paulett.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-six,
               python3-mock
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-hl7
Vcs-Git: https://salsa.debian.org/med-team/python-hl7.git
Homepage: https://github.com/johnpaulett/python-hl7/
Rules-Requires-Root: no

Package: python3-hl7
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pkg-resources
Recommends: python3-six,
            python3-mock
Provides: ${python:Provides},
          python-hl7
Description: Python3 library for parsing HL7 messages
 HL7 is a communication protocol and message format for health care data.
 It is the de-facto standard for transmitting data between clinical
 information systems and between clinical devices. The version 2.x series,
 which is often is a pipe delimited format is currently the most widely
 accepted version of HL7 (version 3.0 is an XML-based format).
 python-hl7 currently only parses HL7 version 2.x messages into an easy
 to access, list-based, data structure.
 .
 This package contains the Python3 API.

=== debian/watch ===
version=4

https://github.com/johnpaulett/python-hl7/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

#https://pypi.debian.net/hl7/ hl7-([.\d]+)\.tar\.gz

## python-hl7 0.4.2

=== Makefile ===
.PHONY: test tests build docs lint upload

BIN = env/bin
PYTHON = $(BIN)/python
PIP = $(BIN)/pip

SPHINXBUILD   = $(shell pwd)/env/bin/sphinx-build

env: requirements.txt setup.py
	test -f $(PYTHON) || virtualenv env
	$(PIP) install -U -r requirements.txt
	$(PYTHON) setup.py develop

tests: env
	$(BIN)/tox
.PHONY: tests

# Alias for old-style invocation
test: tests
.PHONY: test

coverage:
	$(BIN)/coverage run -m unittest discover -t . -s tests
	$(BIN)/coverage xml
.PHONY: coverage

build:
	$(PYTHON) setup.py sdist
.PHONY: build

clean-docs:
	cd docs; make clean
.PHONY: clean-docs

clean: clean-docs
	rm -rf *.egg-info .mypy_cache coverage.xml env
	find . -name "*.pyc" -type f -delete
	find . -type d -empty -delete
.PHONY: clean-python


docs:
	cd docs; make html SPHINXBUILD=$(SPHINXBUILD); make man SPHINXBUILD=$(SPHINXBUILD); make doctest SPHINXBUILD=$(SPHINXBUILD)

lint:
	$(BIN)/flake8 hl7 tests
	CHECK_ONLY=true $(MAKE) format
.PHONY: lint

CHECK_ONLY ?=
ifdef CHECK_ONLY
ISORT_ARGS=--check-only
BLACK_ARGS=--check
endif
format:
	$(BIN)/isort -rc $(ISORT_ARGS) hl7 tests
	$(BIN)/black $(BLACK_ARGS) hl7 tests
.PHONY: isort

upload:
	rm -rf dist
	$(PYTHON) setup.py sdist bdist_wheel
	twine upload dist/*
.PHONY: upload

=== debian/changelog ===
python-hl7 (0.4.2-2) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 13:58:26 +0100

python-hl7 (0.4.2-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 09:55:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                python3,
                python3-setuptools,
                python3-six,
-               python3-mock
-Standards-Version: 4.5.0
+               python3-mock,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-hl7
 Vcs-Git: https://salsa.debian.org/med-team/python-hl7.git
 Homepage: https://github.com/johnpaulett/python-hl7/

## python-hl7 0.4.5

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SPHINXBUILD   = $(shell pwd)/env/bin/sphinx-build
 
 env: requirements.txt setup.py
-	test -f $(PYTHON) || virtualenv env
+	test -f $(PYTHON) || python3 -m venv env
 	$(PIP) install -U -r requirements.txt
 	$(PYTHON) setup.py develop
 
@@ -53,12 +53,12 @@
 BLACK_ARGS=--check
 endif
 format:
-	$(BIN)/isort -rc $(ISORT_ARGS) hl7 tests
+	$(BIN)/isort $(ISORT_ARGS) hl7 tests
 	$(BIN)/black $(BLACK_ARGS) hl7 tests
 .PHONY: isort
 
 upload:
 	rm -rf dist
 	$(PYTHON) setup.py sdist bdist_wheel
-	twine upload dist/*
+	$(BIN)/twine upload dist/*
 .PHONY: upload

=== requirements.txt ===
# pip Requirements for developing python-hl7 (not required to use as a library)
tox==3.24.5
flake8==4.0.1
Sphinx==4.4.0
coverage==6.3.2
isort==5.10.1
black==22.3.0
twine==3.8.0
wheel==0.37.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-hl7.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-hl7.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-hl7"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-hl7"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-hl7 (0.4.5-3) unstable; urgency=medium

  * Drop Depends: python3-pkg-resources
    Closes: #1083648
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2024 08:26:02 +0100

python-hl7 (0.4.5-2) unstable; urgency=medium

  * Team Upload
  * use new dh-sequence-python3
  * remove extraneous old dependencies:
    * python3-mock
    * python3-six

  [ Andreas Tille ]
  * d/watch: create proper filename

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Jan 2024 16:54:43 +0100

python-hl7 (0.4.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 16:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,11 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
-               python3-six,
-               python3-mock,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-hl7
 Vcs-Git: https://salsa.debian.org/med-team/python-hl7.git
 Homepage: https://github.com/johnpaulett/python-hl7/
@@ -21,10 +19,7 @@
 Package: python3-hl7
 Architecture: all
 Depends: ${python3:Depends},
-         ${misc:Depends},
-         python3-pkg-resources
-Recommends: python3-six,
-            python3-mock
+         ${misc:Depends}
 Provides: ${python:Provides},
           python-hl7
 Description: Python3 library for parsing HL7 messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=hl7

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/python-$(PYBUILD_NAME)/usr/bin

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/johnpaulett/python-hl7/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
